unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DXDraws, DXClass, engine, DXInput, StdCtrls;

type
  TForm1 = class(TForm)
    dxdraw: TDXDraw;
    DXTimer1: TDXTimer;
    DXInput: TDXInput;
    procedure DXTimer1Timer(Sender: TObject; LagCount: Integer);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    paletka1:TPaletka;
    paletka2:TPaletka;
    who:byte;
    ball:TBall;
    { Public declarations }
  end;

var
  Form1: TForm1;
implementation

{$R *.DFM}

procedure TForm1.DXTimer1Timer(Sender: TObject; LagCount: Integer);
begin
  if (ball.vx=0) and (ball.vy=0) and (dxinput.keyboard.keys[VK_RETURN]=true) then
    ball.fire;
  dxdraw.surface.Fill(clwhite);
  dxinput.update;
  paletka1.paletka(dxdraw,dxinput,kmouse);
  paletka2.paletka(dxdraw,dxinput,kkey);
  case who of
        0:ball.ball(dxdraw,paletka1,who);
        1:ball.ball(dxdraw,paletka2,who);
  end;
  dxdraw.surface.Canvas.Release;
  dxdraw.Flip;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  paletka1:=TPaletka.Create;
  paletka2:=TPaletka.Create;
  ball:=TBall.Create;
  paletka1.ustaw(dxdraw.width,dxdraw.height div 2,0,0,10,50,dxdraw.width,dxdraw.height,dxdraw.width);
  paletka2.ustaw(dxdraw.width,dxdraw.height div 2,0,0,10,50,dxdraw.width,dxdraw.height,dxdraw.width);
  ball.ustaw(dxdraw.width,random(dxdraw.height),0,0,10,10,dxdraw.width,dxdraw.height,dxdraw.width);
  who:=0;
end;

end.
